Skip to main content
PATCH
Update

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

taxId
string
required
Pattern: .+

Query Parameters

idProperty
string

The name of a property whose values are unique for this object type

Body

application/json

Represents the input required to update a CRM object, containing an object with property names and their corresponding values.

properties
object
required

An object containing key-value pairs where keys are property names and values are the corresponding property values. Each value is a string.

Response

successful operation

A simple public object.

archived
boolean
required

A boolean indicating whether this object is archived.

createdAt
string<date-time>
required

The date and time when this object was created, in ISO 8601 format.

id
string
required

The unique identifier for this CRM object.

properties
object
required

A map of property names to their current values for this object.

updatedAt
string<date-time>
required

The date and time when this object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The date and time when this object was archived, in ISO 8601 format.

objectWriteTraceId
string

An identifier used for tracing the write operations related to this object.

propertiesWithHistory
object

A map of property names to arrays of past values, each with a timestamp indicating when the value was set.

url
string

The URL link to this object.

warnings
object[]

An array of warnings related to this object, each containing a category, message, and context.

Last modified on September 14, 2026